{instancesFunctions}: let
  inherit (instancesFunctions) domain0 domain1 domain2;
in {
  domains = {
    url0 = domain0;
    url1 = domain1;
    url2 = domain2;
  };
  dns = {
    provider0 = "namecheap";
  };
  localhost = {
    address0 = "127.0.0.1"; # Local
    address1 = "0.0.0.0"; # All
    address2 = "192.168.50.1"; # Router
    address3 = "192.168.50.0"; # Router
  };
}
